
QGIS Application - Bug report #8789

QGIS failing to load semi automatic classification plugin and otb and saga not configured

2013-10-07 04:06 AM - Admire Nyakudya

Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17492

Description

I have just changed my reposotiries to ubuntu-gis and also compliled the latest gdal from source but when I open QGIS it shows me the

error below and I cannot also use OTB, and saga since it says I should configure it. From my understanding they should automatically

come through in the processing toolbar of which they do but I cannot use them. I last updated QGIS today around 13:00

Couldn't load plugin SemiAutomaticClassificationPlugin due an error when calling its classFactory() method

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 204, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/home/admire/.qgis2/python/plugins/SemiAutomaticClassificationPlugin/__init__.py", line 65, in classFactory

    from semiautomaticclassificationplugin import SemiAutomaticClassificationPlugin

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/admire/.qgis2/python/plugins/SemiAutomaticClassificationPlugin/semiautomaticclassificationplugin.py", line 55, in 

    from processing.core.ProcessingUtils import ProcessingUtils

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named ProcessingUtils

Python version:

2.7.4 (default, Sep 26 2013, 03:23:21) 

[GCC 4.7.3]

QGIS version:

2.1.0-Master Master, exported

Python path: ['/usr/share/qgis/python', u'/home/admire/.qgis2/python', u'/home/admire/.qgis2/python/plugins',

'/usr/share/qgis/python/plugins', '/usr/local/lib/python2.7/dist-packages/trytond-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/Genshi-0.6-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/relatorio-0.5.5-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/tryton-2.0.1-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/trytond_account-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_currency-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_party-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_company-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_country-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_account_invoice-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_account_product-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_product-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_account_invoice_history-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_account_statement-2.0.0-py2.7.egg',
'/usr/local/lib/python2.7/dist-packages/trytond_analytic_purchase-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_analytic_invoice-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_analytic_account-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_purchase-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_stock-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_analytic_sale-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_sale-2.0.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_google_maps-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_dashboard-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_project-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_company_work_time-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_timesheet-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_calendar_scheduling-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_calendar-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/PyWebDAV-0.9.4.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_calendar_classification-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/vobject-0.8.1c-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/trytond_calendar_todo-2.0.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/isodate-0.4.4-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/pyspatialite-2.6.1-py2.7-linux-x86_64.egg',

'/usr/local/lib/python2.7/dist-packages/rpyc-3.2.0-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/pysal-1.2.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/GDAL-1.9.0-py2.7-linux-x86_64.egg',

'/usr/local/lib/python2.7/dist-packages/istSOS-1.1rc3.1-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/nik2img-0.8.0-py2.7.egg',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0',

'/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-control-panel', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/home/admire/.qgis2/python/plugins/mmqgis/forms']

History

#1 - 2013-10-07 08:21 AM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Rejected

This is not an QGIS issue (at least in part related to Semi-Automatic plugin), please post it in plugin bugtracker 

https://issues.qgis.org/projects/semi-automatic-class

#2 - 2013-10-07 11:49 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

Hi Alexander,

this issue happens on master (not 2.0.1) also for other plugins that do install as processing add-ons as well as standalone plugins, for example "Lecos". I'm

not sure that the problem is in the plugins.
